import 'package:flutter/material.dart';
import 'package:frino_icons/frino_icons.dart';

void main() => runApp(MyApp());

const ICONS = [
  FrinoIcons.f_360,
  FrinoIcons.f_alarm,
  FrinoIcons.f_align_center,
  FrinoIcons.f_align_left,
  FrinoIcons.f_align_right,
  FrinoIcons.f_apps,
  FrinoIcons.f_arrow_down_circle,
  FrinoIcons.f_arrow_down,
  FrinoIcons.f_arrow_left_circle,
  FrinoIcons.f_arrow_left,
  FrinoIcons.f_arrow_right_circle,
  FrinoIcons.f_arrow_right,
  FrinoIcons.f_arrow_up_circle,
  FrinoIcons.f_arrow_up,
  FrinoIcons.f_at,
  FrinoIcons.f_attachment,
  FrinoIcons.f_baby,
  FrinoIcons.f_back,
  FrinoIcons.f_backpack,
  FrinoIcons.f_backspace,
  FrinoIcons.f_backup,
  FrinoIcons.f_bag,
  FrinoIcons.f_3d,
  FrinoIcons.f_ball,
  FrinoIcons.f_basket_2,
  FrinoIcons.f_basket,
  FrinoIcons.f_battery_half,
  FrinoIcons.f_battery,
  FrinoIcons.f_bed_single,
  FrinoIcons.f_bed,
  FrinoIcons.f_bell_slash,
  FrinoIcons.f_bell,
  FrinoIcons.f_bicycle,
  FrinoIcons.f_birthday,
  FrinoIcons.f_blog,
  FrinoIcons.f_bluetooth,
  FrinoIcons.f_bold,
  FrinoIcons.f_book,
  FrinoIcons.f_bookmark,
  FrinoIcons.f_bow_tie,
  FrinoIcons.f_box_2,
  FrinoIcons.f_box,
  FrinoIcons.f_boxing,
  FrinoIcons.f_brightness,
  FrinoIcons.f_broadcast,
  FrinoIcons.f_browser,
  FrinoIcons.f_bucket,
  FrinoIcons.f_bulb,
  FrinoIcons.f_bus,
  FrinoIcons.f_calculator,
  FrinoIcons.f_calendar,
  FrinoIcons.f_camera,
  FrinoIcons.f_car,
  FrinoIcons.f_cart_2,
  FrinoIcons.f_cart_add,
  FrinoIcons.f_cart,
  FrinoIcons.f_cash__1_,
  FrinoIcons.f_category,
  FrinoIcons.f_chart_line,
  FrinoIcons.f_chart_pie,
  FrinoIcons.f_chat_text,
  FrinoIcons.f_chat,
  FrinoIcons.f_check_circle,
  FrinoIcons.f_check,
  FrinoIcons.f_cherry,
  FrinoIcons.f_child,
  FrinoIcons.f_christmas_tree,
  FrinoIcons.f_circle_empty,
  FrinoIcons.f_check_list,
  FrinoIcons.f_circle_filled,
  FrinoIcons.f_clepsydra,
  FrinoIcons.f_clipboard,
  FrinoIcons.f_clock,
  FrinoIcons.f_clone,
  FrinoIcons.f_close_circle,
  FrinoIcons.f_cloud_data,
  FrinoIcons.f_close,
  FrinoIcons.f_cog,
  FrinoIcons.f_code,
  FrinoIcons.f_company,
  FrinoIcons.f_comparison,
  FrinoIcons.f_colour_palette,
  FrinoIcons.f_compass,
  FrinoIcons.f_connect,
  FrinoIcons.f_contrast,
  FrinoIcons.f_copy,
  FrinoIcons.f_copyright,
  FrinoIcons.f_creative_commons,
  FrinoIcons.f_cursor,
  FrinoIcons.f_cut,
  FrinoIcons.f_cutlery,
  FrinoIcons.f_dashboard,
  FrinoIcons.f_diamond,
  FrinoIcons.f_diploma,
  FrinoIcons.f_briefcase,
  FrinoIcons.f_cocktail,
  FrinoIcons.f_contact_book,
  FrinoIcons.f_cook,
  FrinoIcons.f_credit_card,
  FrinoIcons.f_crop,
  FrinoIcons.f_delete,
  FrinoIcons.f_disabled,
  FrinoIcons.f_disk,
  FrinoIcons.f_download_cloud_data,
  FrinoIcons.f_download_square,
  FrinoIcons.f_download,
  FrinoIcons.f_drag_drop,
  FrinoIcons.f_drawer,
  FrinoIcons.f_drone,
  FrinoIcons.f_earth,
  FrinoIcons.f_edit,
  FrinoIcons.f_eject,
  FrinoIcons.f_envelope_circle,
  FrinoIcons.f_envelope,
  FrinoIcons.f_eraser,
  FrinoIcons.f_euro_circle,
  FrinoIcons.f_exclamation_mark_triangle,
  FrinoIcons.f_exclamation_mark,
  FrinoIcons.f_external_link,
  FrinoIcons.f_eye_slash,
  FrinoIcons.f_eye,
  FrinoIcons.f_eyedropper,
  FrinoIcons.f_face_happy__1_,
  FrinoIcons.f_face_neutral,
  FrinoIcons.f_face_sad,
  FrinoIcons.f_facebook_circle,
  FrinoIcons.f_factory,
  FrinoIcons.f_fashion,
  FrinoIcons.f_fast_delivery,
  FrinoIcons.f_fast_forward,
  FrinoIcons.f_fast_rewind,
  FrinoIcons.f_female,
  FrinoIcons.f_file_doc,
  FrinoIcons.f_file_img,
  FrinoIcons.f_file_mov,
  FrinoIcons.f_file_mp3,
  FrinoIcons.f_file_mp4,
  FrinoIcons.f_file_pdf,
  FrinoIcons.f_file_rar,
  FrinoIcons.f_file_txt,
  FrinoIcons.f_file_xls,
  FrinoIcons.f_file_zip,
  FrinoIcons.f_file,
  FrinoIcons.f_filter_2,
  FrinoIcons.f_filter,
  FrinoIcons.f_fingerprint,
  FrinoIcons.f_flag_triangle,
  FrinoIcons.f_flag,
  FrinoIcons.f_folder,
  FrinoIcons.f_forward,
  FrinoIcons.f_free,
  FrinoIcons.f_fullscreen_close,
  FrinoIcons.f_fullscreen,
  FrinoIcons.f_gallery,
  FrinoIcons.f_gauge,
  FrinoIcons.f_gavel,
  FrinoIcons.f_gif,
  FrinoIcons.f_gift,
  FrinoIcons.f_globe,
  FrinoIcons.f_google_plus,
  FrinoIcons.f_google,
  FrinoIcons.f_graduation_hat,
  FrinoIcons.f_group,
  FrinoIcons.f_gym,
  FrinoIcons.f_hammer,
  FrinoIcons.f_hanger,
  FrinoIcons.f_headset_mic,
  FrinoIcons.f_heart,
  FrinoIcons.f_home_simple,
  FrinoIcons.f_home,
  FrinoIcons.f_hosting,
  FrinoIcons.f_hq,
  FrinoIcons.f_id,
  FrinoIcons.f_image,
  FrinoIcons.f_inbox,
  FrinoIcons.f_indent,
  FrinoIcons.f_infinity,
  FrinoIcons.f_information,
  FrinoIcons.f_iphone,
  FrinoIcons.f_italic,
  FrinoIcons.f_joystick,
  FrinoIcons.f_justify,
  FrinoIcons.f_key,
  FrinoIcons.f_keyboard,
  FrinoIcons.f_lab,
  FrinoIcons.f_label,
  FrinoIcons.f_landline_phone,
  FrinoIcons.f_laptop,
  FrinoIcons.f_layout_2_col,
  FrinoIcons.f_layout_2_row,
  FrinoIcons.f_layout_list,
  FrinoIcons.f_layout_thumbnails,
  FrinoIcons.f_leaf,
  FrinoIcons.f_letters,
  FrinoIcons.f_life_ring,
  FrinoIcons.f_lightning,
  FrinoIcons.f_link,
  FrinoIcons.f_linkedin,
  FrinoIcons.f_list_ol,
  FrinoIcons.f_list_ul,
  FrinoIcons.f_lock,
  FrinoIcons.f_login,
  FrinoIcons.f_logout,
  FrinoIcons.f_long_arrow_down,
  FrinoIcons.f_long_arrow_left,
  FrinoIcons.f_long_arrow_right,
  FrinoIcons.f_long_arrow_up,
  FrinoIcons.f_loyalty_card,
  FrinoIcons.f_mail_multiple,
  FrinoIcons.f_mail,
  FrinoIcons.f_male,
  FrinoIcons.f_map,
  FrinoIcons.f_mark,
  FrinoIcons.f_meat,
  FrinoIcons.f_medal,
  FrinoIcons.f_medicine,
  FrinoIcons.f_megaphone,
  FrinoIcons.f_menu,
  FrinoIcons.f_microphone_slash,
  FrinoIcons.f_microphone,
  FrinoIcons.f_minus,
  FrinoIcons.f_more_horizontal,
  FrinoIcons.f_more,
  FrinoIcons.f_movie_tape,
  FrinoIcons.f_mug,
  FrinoIcons.f_museum,
  FrinoIcons.f_music,
  FrinoIcons.f_navigate_down,
  FrinoIcons.f_navigate_left,
  FrinoIcons.f_navigate_right,
  FrinoIcons.f_navigate_up,
  FrinoIcons.f_navigate,
  FrinoIcons.f_news,
  FrinoIcons.f_next_track,
  FrinoIcons.f_no_access,
  FrinoIcons.f_note,
  FrinoIcons.f_offline_mode,
  FrinoIcons.f_opacity,
  FrinoIcons.f_orientation_change,
  FrinoIcons.f_packaging,
  FrinoIcons.f_palm,
  FrinoIcons.f_paragraph,
  FrinoIcons.f_paste,
  FrinoIcons.f_pause,
  FrinoIcons.f_paypal,
  FrinoIcons.f_pen,
  FrinoIcons.f_phone_circle,
  FrinoIcons.f_phone_classic,
  FrinoIcons.f_phone_outline,
  FrinoIcons.f_piggy_bank__1_,
  FrinoIcons.f_pin,
  FrinoIcons.f_pinterest_official,
  FrinoIcons.f_pinterest,
  FrinoIcons.f_placeholder,
  FrinoIcons.f_plane,
  FrinoIcons.f_play,
  FrinoIcons.f_playlist,
  FrinoIcons.f_plug,
  FrinoIcons.f_plus,
  FrinoIcons.f_pointer_down_circle,
  FrinoIcons.f_pointer_left_circle,
  FrinoIcons.f_pointer_right_circle,
  FrinoIcons.f_pointer_up_circle,
  FrinoIcons.f_pointer,
  FrinoIcons.f_pot_flower,
  FrinoIcons.f_power,
  FrinoIcons.f_preloader_1,
  FrinoIcons.f_preloader_2,
  FrinoIcons.f_presentation,
  FrinoIcons.f_prev_track,
  FrinoIcons.f_print,
  FrinoIcons.f_private_mode__1_,
  FrinoIcons.f_private_mode,
  FrinoIcons.f_projects,
  FrinoIcons.f_pulse,
  FrinoIcons.f_puzzle,
  FrinoIcons.f_qr_code,
  FrinoIcons.f_question,
  FrinoIcons.f_quote_left,
  FrinoIcons.f_quote_right,
  FrinoIcons.f_radio,
  FrinoIcons.f_random,
  FrinoIcons.f_receipt,
  FrinoIcons.f_record_circle,
  FrinoIcons.f_recycling,
  FrinoIcons.f_refresh,
  FrinoIcons.f_rename,
  FrinoIcons.f_repair,
  FrinoIcons.f_repeat,
  FrinoIcons.f_reply_all,
  FrinoIcons.f_reply,
  FrinoIcons.f_resize_arrow,
  FrinoIcons.f_resize_square,
  FrinoIcons.f_responsive,
  FrinoIcons.f_rocket,
  FrinoIcons.f_rocking_horse,
  FrinoIcons.f_room_service,
  FrinoIcons.f_rotate_3d,
  FrinoIcons.f_rotate,
  FrinoIcons.f_rss,
  FrinoIcons.f_ruler,
  FrinoIcons.f_sale,
  FrinoIcons.f_save,
  FrinoIcons.f_scale,
  FrinoIcons.f_science,
  FrinoIcons.f_screwdriver,
  FrinoIcons.f_scroll,
  FrinoIcons.f_search_2,
  FrinoIcons.f_search_classic,
  FrinoIcons.f_search,
  FrinoIcons.f_select,
  FrinoIcons.f_send,
  FrinoIcons.f_settings,
  FrinoIcons.f_share,
  FrinoIcons.f_shield,
  FrinoIcons.f_ship,
  FrinoIcons.f_shop,
  FrinoIcons.f_site_map,
  FrinoIcons.f_skype,
  FrinoIcons.f_slider,
  FrinoIcons.f_smartphone,
  FrinoIcons.f_snapchat,
  FrinoIcons.f_sort_az,
  FrinoIcons.f_sort_price_down,
  FrinoIcons.f_sort_price_up,
  FrinoIcons.f_sort_za,
  FrinoIcons.f_sort,
  FrinoIcons.f_star_filled,
  FrinoIcons.f_star_half,
  FrinoIcons.f_star_outline,
  FrinoIcons.f_stempel,
  FrinoIcons.f_sticky_notes,
  FrinoIcons.f_stop_watch,
  FrinoIcons.f_stop,
  FrinoIcons.f_strikethrough,
  FrinoIcons.f_subscript,
  FrinoIcons.f_superscript,
  FrinoIcons.f_switch,
  FrinoIcons.f_syringe,
  FrinoIcons.f_table,
  FrinoIcons.f_target,
  FrinoIcons.f_text_size,
  FrinoIcons.f_thumb_down,
  FrinoIcons.f_thumb_up__1_,
  FrinoIcons.f_touch_rotate,
  FrinoIcons.f_touch_spread,
  FrinoIcons.f_touch_tap,
  FrinoIcons.f_train,
  FrinoIcons.f_translate,
  FrinoIcons.f_tree,
  FrinoIcons.f_triangle_down,
  FrinoIcons.f_triangle_left,
  FrinoIcons.f_triangle_right,
  FrinoIcons.f_triangle_up,
  FrinoIcons.f_trolley,
  FrinoIcons.f_trophy,
  FrinoIcons.f_truck,
  FrinoIcons.f_tv,
  FrinoIcons.f_twitter_circle,
  FrinoIcons.f_twitter_official,
  FrinoIcons.f_umbrella,
  FrinoIcons.f_uncheck_circle,
  FrinoIcons.f_uncheck,
  FrinoIcons.f_underline,
  FrinoIcons.f_unlink,
  FrinoIcons.f_unlock,
  FrinoIcons.f_upload_square,
  FrinoIcons.f_upload,
  FrinoIcons.f_user_add,
  FrinoIcons.f_user_circle,
  FrinoIcons.f_user,
  FrinoIcons.f_vegetable,
  FrinoIcons.f_video,
  FrinoIcons.f_volume_down,
  FrinoIcons.f_volume_mute,
  FrinoIcons.f_volume_up,
  FrinoIcons.f_vr,
  FrinoIcons.f_wallet,
  FrinoIcons.f_wand,
  FrinoIcons.f_wheel,
  FrinoIcons.f_wifi,
  FrinoIcons.f_wine,
  FrinoIcons.f_zoom_in,
  FrinoIcons.f_zoom_out
];

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: MyHomePage(title: 'Frino Icons Demo Home Page'),
    );
  }
}

class MyHomePage extends StatefulWidget {
  MyHomePage({Key key, this.title}) : super(key: key);
  final String title;

  @override
  _MyHomePageState createState() => _MyHomePageState();
}

class _MyHomePageState extends State<MyHomePage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBar(
          title: Text(widget.title),
        ),
        body: GridView.count(
          crossAxisCount: 6,
          children: [for (var ico in ICONS) Icon(ico)],
        ));
  }
}
